aboutsummaryrefslogtreecommitdiff
path: root/build_deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_deploy.sh')
-rwxr-xr-xbuild_deploy.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/build_deploy.sh b/build_deploy.sh
index 80572d0..d179d76 100755
--- a/build_deploy.sh
+++ b/build_deploy.sh
@@ -2,7 +2,7 @@
cd "$(dirname "$0")"
-./build_repo.sh "$@"
+./build_repo.sh "$@" || exit $?
deploy() {
local TARGET="cynerd.cz:/var/www/myrepo"
@@ -16,5 +16,9 @@ deploy() {
rm $1.lua.sig
}
-[ ! -d repo/omnia ] || deploy omnia
-[ ! -d repo/turris ] || deploy turris
+if [ -d repo/omnia -a -d .omnia-sdk ]; then
+ deploy omnia
+fi
+if [ -d repo/turris -a -d .turris-sdk ]; then
+ deploy omnia
+fi